events.listen('recipes', function (e) {
	
	e.remove({output: 'tp:watering_can'})
	
	e.shaped('tp:watering_can', ['IW ','IBI',' I '], {I: '#forge:ingots/iron', W: '#forge:dyes/white', B: 'tp:infin_bucket'})
	e.shaped('tp:cobblegen_block', ['CCC','WGL','CCC'], {C: '#forge:cobblestone', L: item.of('ceramics:cracked_clay_bucket', {fluid:"minecraft:lava"}), W: item.of('ceramics:clay_bucket', {fluid:"minecraft:water"}), G: '#forge:glass'})
	e.shaped('tp:cobblegen_block', ['CCC','LGW','CCC'], { C: '#forge:cobblestone', L: item.of('ceramics:cracked_clay_bucket', {fluid:"minecraft:lava"}), W: item.of('ceramics:clay_bucket', {fluid:"minecraft:water"}), G: '#forge:glass'})
	
})